package gmap;

public class GLatLng {
	public double lat;
	public double lng;
	public GLatLng(double lat,double lng){
		this.lat=lat;
		this.lng=lng;
	}
	public GLatLng(int x,int y,int zoom){
		this.lng= MercatorProjection.XToLng(x, zoom);
		this.lat= MercatorProjection.YToLat(y, zoom);
	}
	public GLatLng(GPoint point){
		this.lng= MercatorProjection.XToLng(point.X,point.Zoom);
		this.lat= MercatorProjection.YToLat(point.Y,point.Zoom);
	}
	public GLatLng(GLatLng latlng){
		this.lng= latlng.lng;
		this.lat= latlng.lat;
	}
	public GPoint getGPoint(int zoom){
		return new GPoint(lat, lng, zoom);
	}
	
}
